## 基于Java的校园智能求职招聘平台的设计与实现

基于学校的招聘资源打造求职招聘平台，为即将毕业的学生提供一个稳定，安全，规范的求职渠道，学校可让长期合作的企业在此投放招聘信息供学生选择投递简历，并为他们提供最新的求职招聘资讯，有效的提供良好的服务。

本系统预计采用 B/S 结构。

本系统预计采用 Java 语言为开发语言，采用 MySQL 作为数据库，以 IDEA, Undertow 作为开发工具。

本求职招聘系统在功能模块主要分为两大方面，即用户功能模块和管理员功能模块。

这两方面功能：

用户：用户注册，进入前台网站，主要包括系统首页，职位信息，职位类别，求职资讯，职位查询，投递简历等功能。

企业：企业注册，修改企业信息，发布职位信息，查看用户简历

管理员：系统管理员通过正确的账号密码进行登录系统后台，其主要功能包括企业信息管理，求职资讯管理，职位信息管理，注册用户等功能模块。

1. 招聘分为全职招聘和实习招聘，这样受众可以扩大到我们全校的学生
2. 根据学生近期的职位浏览可以给他们进行职位推荐
3. 可以做一个热力榜，类似于微博头条那种把一些点击量和报名量比较多的职位给推送出来。
4. 在筛选职位的时候自动把用户点击量多的职位信息放到前边
5. 企业查看简历前可以进行智能筛选出自己想要的简历。
