package cn.minbb.job.service;

import cn.minbb.job.model.Company;
import cn.minbb.job.model.Job;
import org.springframework.data.domain.Page;

import java.util.List;

public interface JobService {
    Job saveOne(Job job);

    Job findOneById(Integer id);

    List<Job> findTop8();

    List<Job> findTop5ByType(String type);

    List<Job> findTop8ByType(String type);

    List<Job> findTop8ByTypeAndNameLike(String type, String name);

    List<Job> findAllByCompanyAndType(Company company, String type);

    Page<Job> findAllByTypeWithPage(String type, Integer page, Integer size);

    Page<Job> findAllByTypeAndNameLikeWithPage(String type, String name, Integer page, Integer size);
}
