package cn.minbb.job.service.impl;

import cn.minbb.job.model.Banner;
import cn.minbb.job.model.repository.BannerRepository;
import cn.minbb.job.service.BannerService;
import cn.minbb.job.util.SortTool;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BannerServiceImpl implements BannerService {

    private final BannerRepository bannerRepository;

    public BannerServiceImpl(BannerRepository bannerRepository) {
        this.bannerRepository = bannerRepository;
    }

    @Override
    public List<Banner> findAll() {
        Banner banner = new Banner();
        banner.setIsEnabled(Boolean.TRUE);
        return bannerRepository.findAll(Example.of(banner), SortTool.priorityDown());
    }
}
