Date.prototype.format = function (format) {
    var o = {
        "M+": this.getMonth() + 1,      // 月份
        "d+": this.getDate(),           // 日
        "h+": this.getHours(),          // 小时
        "m+": this.getMinutes(),        // 分
        "s+": this.getSeconds(),        // 秒
        "q+": Math.floor((this.getMonth() + 3) / 3),    // 季度
        "S": this.getMilliseconds()     // 毫秒
    };
    if (/(y+)/.test(format)) {
        format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k in o) {
        if (new RegExp("(" + k + ")").test(format)) {
            format = format.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }
    }
    return format;
};

function addOrMinusDays(date, days) {
    if (date === undefined) date = new Date();
    if (days === undefined) days = 0;
    return new Date(date.getTime() + days * 86400000);
}
