package cn.minbb.job.model.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

@Data
@NoArgsConstructor
public class CompanyVo implements Serializable {
    private Integer id;
    private String name;
    private String brand;
    private String introduction;
    private String nature;
    private String scale;
    private String description;
    private Set<JobVo> jobSet;
    private List<IndustryVo> industryList;
    private Boolean isEnabled;
    private Date createdDate;
}
