package cn.minbb.job.service;

import cn.minbb.job.model.Company;
import cn.minbb.job.model.Industry;
import org.springframework.data.domain.Page;

import java.util.List;

public interface CompanyService {
    Company saveOne(Company company);

    Company findOneById(Integer id);

    List<Company> findTop2();

    List<Company> findTop4();

    List<Company> findTop5();

    Page<Company> findAll(Integer page, Integer size);

    Page<Company> findAllByIndustryIn(Industry industry, Integer page, Integer size);

    Page<Company> findAllByIndustryListIn(List<Industry> industryList, Integer page, Integer size);
}
