package cn.minbb.job.service;

import cn.minbb.job.model.WebLog;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface WebLogService {
    WebLog saveOne(WebLog webLog);

    WebLog findTop1ByLocationIsNull();

    List<WebLog> findTop10ByLocationIsNull();

    List<WebLog> findAllByParamsIn(Date startTime, Date endTime, String uri, String method, String protocol, String userAgent, String ip, String location, String remark);

    List<Map<String, Integer>> selectPvUvByDateBetween(Date startDate, Date endDate);

    int countByDateBetween(Date startTime, Date endTime);
}
