package cn.minbb.job.util;

import javax.servlet.http.HttpServletRequest;

public class RequestUtil {

    /**
     * 判断请求是否为 Ajax 请求
     *
     * @param request HttpServletRequest
     * @return 是否为 Ajax 请求
     */
    public static boolean isAjax(HttpServletRequest request) {
        return (null != request.getHeader("X-Requested-With") && "XMLHttpRequest".equals(request.getHeader("X-Requested-With")));
    }
}
